Competitors
Domain Competitors
Discover SEO competitor domains for any domain based on keyword overlap.
POST
from $0.02/call/v1/seo/competitors/domainUsage
const res = await fetch('https://api.yepapi.com/v1/seo/competitors/domain', {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
domain: 'stripe.com',
location_code: 2840,
language: 'en',
limit: 100,
}),
});
const { data } = await res.json();
console.log(data.competitors);curl -X POST https://api.yepapi.com/v1/seo/competitors/domain \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"domain": "stripe.com", "location_code": 2840, "language": "en", "limit": 100}'Request Body
| Parameter | Type | Required | Description | Default |
|---|---|---|---|---|
domain | string | Yes | Domain to find competitors for (without protocol) | — |
location_code | number | No | Target country code. See Location Codes. | 2840 |
language | string | No | ISO language code | "en" |
limit | number | No | Max competitor domains to return | 100 |
Response
{
"ok": true,
"data": {
"domain": "vercel.com",
"competitors": [
{
"avgPosition": 51.85,
"domain": "vercel.com",
"intersections": 39218,
"organicCount": 39217,
"organicEtv": 154912.38
},
{
"avgPosition": 21.18,
"domain": "youtube.com",
"intersections": 36760,
"organicCount": 36760,
"organicEtv": 147161.67
}
]
}
}Response Fields
| Field | Type | Description |
|---|---|---|
ok | boolean | Whether the request succeeded |
data.domain | string | The domain that was analyzed |
data.competitors | array | List of competitor domains ranked by keyword overlap |
data.competitors[].domain | string | Competitor domain name |
data.competitors[].avgPosition | number | Average ranking position across overlapping keywords |
data.competitors[].intersections | number | Number of keywords both domains rank for |
data.competitors[].organicCount | number | Total number of organic keywords the competitor ranks for |
data.competitors[].organicEtv | number | Estimated traffic value from organic keywords (USD) |